Bug 1480911 - SELinux is preventing abrt-action-sav from 'map' accesses on the file /var/lib/rpm/__db.001.
SELinux is preventing abrt-action-sav from 'map' accesses on the file /var/li...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:9ac1753120cb1f7259e34bba137...
:
Depends On:
Blocks: 1481454
  Show dependency treegraph
 
Reported: 2017-08-12 16:50 EDT by Joachim Frieben
Modified: 2017-10-31 11:33 EDT (History)
9 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-283.14.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-31 11:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2017-08-12 16:50:05 EDT
Description of problem:
SELinux is preventing abrt-action-sav from 'map' accesses on the file /var/lib/rpm/__db.001.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-action-sav should be allowed map access on the __db.001 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'abrt-action-sav' --raw | audit2allow -M my-abrtactionsav
# semodule -X 300 -i my-abrtactionsav.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:rpm_var_lib_t:s0
Target Objects                /var/lib/rpm/__db.001 [ file ]
Source                        abrt-action-sav
Source Path                   abrt-action-sav
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           rpm-4.13.0.1-41.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-270.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc4.git4.1.fc27.x86_64 #1
                              SMP Fri Aug 11 15:03:46 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-08-12 22:45:24 CEST
Last Seen                     2017-08-12 22:45:24 CEST
Local ID                      306573ee-7c2f-48e7-94c8-8c22c838db38

Raw Audit Messages
type=AVC msg=audit(1502570724.725:336): avc:  denied  { map } for  pid=1609 comm="abrt-action-sav" path="/var/lib/rpm/__db.001" dev="dm-0" ino=269753 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:rpm_var_lib_t:s0 tclass=file permissive=1


Hash: abrt-action-sav,abrt_t,rpm_var_lib_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-270.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport
Comment 1 Adam Williamson 2017-08-15 01:33:33 EDT
Description of problem:
Happened in normal system use (maybe only after abrt catches a crash?) after the 'map' permission was introduced.

Version-Release number of selected component:
selinux-policy-3.13.1-270.fc27.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport
Comment 2 Jan Kurik 2017-08-15 04:45:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Lukas Vrabec 2017-08-15 09:13:29 EDT
commit 7eef67f6b89825ef29042aff8c432751153b685f (HEAD -> rawhide)
Author: Stephen Smalley <sds@tycho.nsa.gov>
Date:   Wed May 24 15:41:22 2017 -0400

    contrib: allow map permission where needed
    
    Allow map permission where needed, based on limited testing.
    Introduced in the kernel in commit 6941857e82ae ("selinux: add a map
    permission check for mmap").  Depends on "refpolicy: Define and
    allow map permission" to define the permission.
    
    Signed-off-by: Stephen Smalley <sds@tycho.nsa.gov>

Fixes issue. Moving to post.
Comment 4 Fedora Update System 2017-10-25 06:10:25 EDT
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2
Comment 5 Fedora Update System 2017-10-27 14:44:23 EDT
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2
Comment 6 Fedora Update System 2017-10-31 11:33:39 EDT
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.